Subject: AW: your mail

From: Hummel Heinrich <[email-masked]>
Date: Tue, 2 Jul 2002 17:36:02 +0200

Eric, 
Let me cite section 3.12 of RFC 3031:
The "FEC-to-NHLFE" (FTN) maps each FEC to a set of NHLFEs.  It is
used when forwarding packets that arrive unlabeled, but which are to
be labeled before being forwarded.
If the FTN maps a particular label to a set of NHLFEs that contains
more than one element,...

What kind of logic is applied in saying :
"the FTN maps each FEC to blablabla" followed by "if the FTN maps a particular label to blablabla"

All I can conclude is, that a label is equal to a FEC.
I am sure, I am not the only one who is lost.

And if such kind of logic were written into this RFC intentionally, then I think things are
getting out of control. Standards are not made that the one guy interpretes the label as a VC-label,the other one
as a hint for load balancing, and a third one as a message from the Captain of the Night.
BTW: Which signalling TLV of the LSP-establishment message contains the respective interpretation ? 
 
Heinrich

-----Ursprüngliche Nachricht-----
Von: Eric Rosen [mailto:[email-masked]]
Gesendet: Dienstag, 2. Juli 2002 17:02
An: Shahram Davari
Cc: 'Eric Osborne '; 'George Sheng '; [email-masked] ';
[email-masked] '
Betreff: Re: your mail 

SD=> So you do more than one lookup- so what? so you need to parse the whole
SD=> packet in the core-so what? so you need to keep state in the core,

Please pay attention. 

There is not  more than one lookup; doing the hash  does not require looking
anything up. 

Finding the bottom label does not involve parsing the whole packet. 

There is no state kept in the core. 

SD=> so you have no longer a simple label swap

It is true that the essence of  load balancing over equal cost paths is that
the outgoing interface  is not chosen solely on the basis  of the top label.
So? 

SD=> MPLS was  designed to have simple  forwarding. Hashing takes  it to new
SD=> levels of simplification never seen before.  

You might take a peek at section 3.12 of RFC 3031.

---

From: "Kai A. Scharwacht" <[email-masked]>
Date: Tue, 2 Jul 2002 17:57:33 +0200

Hi,

what about if this is a simple editing error? In the context
of section 3.11 (ILM) it appears to me that "label" in 3.12
and below should rather be replaced by "FEC".

That would IMHO make a bit more sense. Especially when looking
at the applicability statement "It is used..[for]..packets
that arrive unlabeled."

Cheers,
	Kai

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of Hummel
> Heinrich
> Sent: Tuesday, July 02, 2002 5:36 PM
> To: [email-masked]'; Shahram Davari
> Subject: AW: your mail
> getting out of control. Standards are not made that the one
> guy interpretes the label as a VC-label,the other one

---

From: Eric Rosen <[email-masked]>
Date: Tue, 02 Jul 2002 12:08:26 -0400

Kai> what about if this is a simple editing error? In the context
Kai> of section 3.11 (ILM) it appears to me that "label" in 3.12
Kai> and below should rather be replaced by "FEC". 

Thank you.  Yes this is a cut  and paste error.  Actually, in the context of
this thread the section I should have referenced is 3.11.